summaryrefslogtreecommitdiff
path: root/tests/tests/clone-reprepro
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tests/clone-reprepro')
-rwxr-xr-xtests/tests/clone-reprepro17
1 files changed, 17 insertions, 0 deletions
diff --git a/tests/tests/clone-reprepro b/tests/tests/clone-reprepro
new file mode 100755
index 0000000..1313289
--- /dev/null
+++ b/tests/tests/clone-reprepro
@@ -0,0 +1,17 @@
+#!/bin/bash
+set -e
+. tests/lib
+. $troot/lib-reprepro
+
+t-dependencies reprepro
+t-reprepro
+
+t-archive example 1.0-1
+t-git-none
+
+t-dgit clone $p
+
+cd $p
+t-cloned-fetched-good
+
+echo ok.